netsnmp_table_registration_info_s(3)

NAME
netsnmp_table_registration_info_s -

Table registration structure.

SYNOPSIS

#include <table.h>

  Data Fields
netsnmp_variable_list * indexes
list of varbinds with only 'type' set
unsigned int number_indexes
calculated automatically
unsigned int min_column
the minimum columns number.
unsigned int max_column
the maximum columns number
netsnmp_column_info * valid_columns
more details on columns

Detailed Description

Table registration structure.

Definition at line 80 of file table.h.

Field Documentation

  netsnmp_variable_list* netsnmp_table_registration_info_s::indexes

list of varbinds with only 'type' set

Definition at line 82 of file table.h.

  unsigned int netsnmp_table_registration_info_s::max_column

the maximum columns number

Definition at line 93 of file table.h.

  unsigned int netsnmp_table_registration_info_s::min_column

the minimum columns number. If there are columns in-between which are not valid, use valid_columns to get automatic column range checking.

Definition at line 91 of file table.h.

  unsigned int netsnmp_table_registration_info_s::number_indexes

calculated automatically

Definition at line 84 of file table.h.

  netsnmp_column_info* netsnmp_table_registration_info_s::valid_columns

more details on columns

Definition at line 96 of file table.h.

Author

Generated automatically by Doxygen for net-snmp from the source code.